.recipe-card{
    &__container{
        display: grid;
        grid-auto-flow: row;
        grid-gap: 8px;
        align-content: flex-start;
        padding: 24px 8px 0px;
        user-select: none;
    }

    &__container-image{
        position: relative;
        padding-top: 56.25%;
        height: 0;
        overflow: hidden;
        border-radius: 16px;
        box-shadow: var(--shadow-small);
        cursor: pointer;
    }

    &__container-content{
        display: grid;
        grid-gap: 8px;
    }

    &__title{
        font-size: 20px;
        font-weight: bold;
        cursor: pointer;

        @media screen and (max-width: 768px){
            font-size: 16px;
        }
    }

    &__image{
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
        top: 0;
        user-select: none;
    }

    &__info{
        display: grid;
        grid-auto-flow: column;
        grid-gap: 8px;
        justify-content: flex-start;
        align-items: center;
    }

    &__detail{
        display: grid;
        grid-auto-flow: column;
        justify-content: flex-start;
        align-items: center;
        grid-gap: 8px;
        padding: 4px 8px;
        margin-bottom: 0;
        font-size: 14px;
        border-radius: 8px;
        cursor: pointer;
        height: 100%;
        box-sizing: border-box;
        border: 1px solid var(--smoke);
        background-color: var(--cloud);

        & > span {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }
}